# toplevel.h File Reference

## Classes

class | wxTopLevelWindow
| wxTopLevelWindow is a common base class for wxDialog and wxFrame. More...

## Enumerations

enum | { wxUSER_ATTENTION_INFO = 1, wxUSER_ATTENTION_ERROR = 2 }
| Styles used with wxTopLevelWindow::RequestUserAttention(). More...
enum | { wxFULLSCREEN_NOMENUBAR = 0x0001, wxFULLSCREEN_NOTOOLBAR = 0x0002, wxFULLSCREEN_NOSTATUSBAR = 0x0004, wxFULLSCREEN_NOBORDER = 0x0008, wxFULLSCREEN_NOCAPTION = 0x0010, wxFULLSCREEN_ALL }
| Styles used with wxTopLevelWindow::ShowFullScreen(). More...

## Enumeration Type Documentation

anonymous enum

Styles used with wxTopLevelWindow::RequestUserAttention().

Enumerator:

  wxUSER_ATTENTION_INFO | Requests user attention,.
  wxUSER_ATTENTION_ERROR | Results in a more drastic action.

anonymous enum

Styles used with wxTopLevelWindow::ShowFullScreen().

Enumerator:

  wxFULLSCREEN_NOMENUBAR | Don't display the menu bar.
  wxFULLSCREEN_NOTOOLBAR | Don't display toolbar bars.
  wxFULLSCREEN_NOSTATUSBAR | Don't display the status bar.
  wxFULLSCREEN_NOBORDER | Don't display any border.
  wxFULLSCREEN_NOCAPTION | Don't display a caption.
  wxFULLSCREEN_ALL | Combination of all above, will display the least possible.

|  | [ top ]